/* Code d'aprs X-Window programmation de Richard Stoeckel charge de cours a Aix-Marseille */

/* Il faut compiler avec gcc -lX11 -L/usr/X11R6/lib */

#ifndef GRAPHIC_H

#define GRAPHIC_H

#include <X11/Xlib.h>
#include <stdio.h>
#include "outils.h"

/*
*******************************************************************************
!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
     Pour chacun d'entre vous et suivant votre machine il faut 
           modifier cette valeur (1 si noir et blanc, 255 pour les terminaux X 
*******************************************************************************
!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
*/

#define max_couleur 65535

#define LARGEUR 640
#define HAUTEUR 480

void mode_graphique(void);/* Creation du mode graphique */
void fin_mode_graphique(void);/* Destruction du mode graphique */
void ouvre_graph(void);/* procedure qui ouvre le mode graphique */
void ferme_graph(void);/* procedure qui ferme le mode graphique */
void clear_graph(void);/* procedure qui efface l'ecran */
void placer_point(int x,int y,int color);/* placer un point */

#endif
