#include <stdio.h>
#include "outils.h"
#include "outils_asm.h"
#include "erreur.h"
#include "graph.h"
#include "outils_exe.h"

entier main(entier argc,char **argv)
debut
 bool fin_exe;
 int nb_add,nb_sub,nb_mov;
/* pile pile_exe=NULL; */
 pile pile_exe;
 entier tmp,tmp2;

 /* *********** Test le bon nombre de parametres ***************** */
 si (argc<2) erreur_param();

 pile_exe.nb_elemt=0;
 pile_exe.tab_pile=(int *)malloc(sizeof(int));
 Erreur_memoire(pile_exe.tab_pile,"pile_exe","main");
 
 /* *************** Ouverture du fichier ************************ */ 
 file_exe=fopen(argv[1],"r");
  if (file_exe==NULL) 
   {
    perror("fopen");
    fprintf(stderr,"Impossible de lire: %s\n",argv[1]);
    exit(0);
   }
 
 /* *********** lecture du fichier executable *************** */
 programme=lire_programme();

 /* ************* Ouverture du mode graphique ************* */
 mode_graphique();

 /* ***************** on push les arguments donnes en parametres */
 pour(tmp=1;tmp<(argc-1);tmp++) 
  debut
   pile_exe=Push(pile_exe,atoi(argv[tmp+1]));
  fin
 
 fprintf(stdout,"debut de l'execution\n");
 
 /* ************** Pointeur en dbut de programme ********** */
 pointeur=0;
 
 nb_add=nb_sub=nb_mov=0;
 
 /* ************** Ce n'est pas la fin de l'execution ******** */
 fin_exe=faux;

/* ****************************************************************************
****************************** BOUCLE DE L'EXECUTION **************************
********************************************************************************/

 tantque(!fin_exe)
  debut
     /* print_instr(programme[pointeur]); */
     switch(programme[pointeur].instr)
       debut
         case PUSH:  tmp=donne_valeur_un(programme[pointeur]);
	             pile_exe=Push(pile_exe,tmp);
		     pointeur++;
		     break;
         case POP: si (programme[pointeur].type1!=0) instr_errone();
		   si (programme[pointeur].adr1>=max_case_mem) instr_errone();
	           pile_exe=Pop(pile_exe,&memoire[programme[pointeur].adr1]);
		   pointeur++;
		   break;
         case ADD: nb_add++;add(programme[pointeur]);pointeur++;break;
         case SUB: nb_sub++;sub(programme[pointeur]);pointeur++;break;
         case MOV: nb_mov++;mov(programme[pointeur]);pointeur++;break;
         case MOD: mod(programme[pointeur]);pointeur++;break;
         case ORG: pointeur=donne_valeur_un(programme[pointeur]);break;
         case END: fin_exe=vrai;break;
         case INT: interruption(programme[pointeur].adr1);pointeur++;break;
         case JMP: pointeur=donne_valeur_un(programme[pointeur]);break;
         case JZ:  pointeur=jz(programme[pointeur]);break;
         case JNZ: pointeur=jnz(programme[pointeur]);break;
         case JE:  je(programme[pointeur]);pointeur++;break;
         default:instr_errone();
       fin
   fin

  fprintf(stdout,"Fin de l'execution, aurevoir\n");
//  fprintf(stdout,"Vous avez effectus:\n	%d additions\n	%d soustractions\n	%d deplacements\n",nb_add,nb_sub,nb_mov);

  /* *************** Fin du mode graphique ************ */
  fin_mode_graphique();
  
  /* ********** Fermeture du fichier **************** */
  fclose(file_exe);
fin
